<template>
  <v-app>
    <div>
      <v-navigation-drawer absolute temporary v-model="drawer">
        <v-layout column fill-height>
          <v-spacer></v-spacer>
          <v-expansion-panels>
          <v-expansion-panel>
            <v-expansion-panel-header>Разработчики</v-expansion-panel-header>
            <v-expansion-panel-content>
                <v-list>
                  <v-list-item
                    v-for="item in authors"
                    :key="item.title"
                    avatar
                    :href="item.url"
                    target="_blank"
                  >

                    <v-list-item-content>
                      <v-list-item-title
                        v-html="item.title"
                        class="body-1"
                      ></v-list-item-title>
                    </v-list-item-content>
                  </v-list-item>
                </v-list>
            </v-expansion-panel-content>
          </v-expansion-panel>
          </v-expansion-panels>
        </v-layout>
      </v-navigation-drawer>

      <v-main fluid fill-height>
        <router-view></router-view>
      </v-main>
    </div>
  </v-app>
</template>

<script lang="ts">
import Vue from "vue";
import { DateTime } from "luxon";
import bridge from '@vkontakte/vk-bridge';

export default Vue.extend({
  name: "App",

  components: {},

  computed: {
    drawer: {
      get() {
        return this.$store.getters.getDrawer;
      },
      set(value) {
        this.$store.commit("setDrawer", value);
      },
    },
  },

  data: () => ({
    crf: false,
    authors: [
      {
        title: "Дизайн - Татьяна Дзиконская",
        url: "https://vk.com/id_tatiana_dzi",
      },
      {
        title: "Бекенд - Медвидов Александр",
        url: "https://vk.com/midvikus",
      },
      {
        title: "Фронтенд - Александр Новокрещёнов",
        url: "https://vk.com/sibero",
      },
    ],
  }),

  mounted() {
    let daytime = "morning";
    const hour = DateTime.local().hour;
    switch (true) {
      case (hour >= 21 && hour < 24) || (hour >= 0 && hour < 4):
        daytime = "night";
        break;
      case hour >= 4 && hour < 10:
        daytime = "morning";
        break;
      case hour >= 10 && hour < 16:
        daytime = "day";
        break;
      case hour >= 16 && hour < 21:
        daytime = "evening";
        break;
    }
    this.$store.commit("setDayTime", daytime);
    //this.$store.commit("init");
    
    bridge.send("VKWebAppInit", {});
    bridge.send("VKWebAppGetGeodata", {});
    bridge.subscribe(e => {
      if(e.detail.type == "VKWebAppGetGeodataResult"){
        console.log(e.detail.data)
        this.$store.commit("setposition", {
          coords: {
            latitude: e.detail.data.lat,
            longitude: e.detail.data.long
          }
        });
      }
    });
    
    
    //this.$store.commit("initData");
    
    //navigator.geolocation.watchPosition((position) => {
      
      
    //});
    
  },
});
</script>
